> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Petition ID

## Overview

Allows the client to petition the owner of a Legal Identity, for information about the identity.

## HTTP request

`POST /Agent/Legal/PetitionId`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"keyId": Required(Str(PKeyId)),
	"legalId": Required(Str(PLegalId)),
	"remoteId": Required(Str(PRemoteId)),
	"petitionId": Required(Str(PPetitionId)),
	"purpose": Required(Str(PPurpose)),
	"keySignature": Required(Str(PKeySignature)),
	"requestSignature": Required(Str(PRequestSignature))
}
```

## Input parameters

| Parameter         | Description                                                                                                                                                             |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| PKeyId            | Identity of key to use for signing the petition. It must correspond to the key used when signing the Legal Identity application that will be used to sign the petition. |
| PLegalId          | Identifier of the Legal Identity that will be used to sign the petition.                                                                                                |
| PRemoteId         | Identifier of the remote legal identity the client requests access to.                                                                                                  |
| PPetitionId       | An identifier of the request, the client can use to correlate asynchronous responses with the corresponding petition request.                                           |
| PPurpose          | A human readable text that will be presented to the remote user, describing the purpose of the petition.                                                                |
| PKeySignature     | Cryptographic signature of the key ID, using the key password.                                                                                                          |
| PRequestSignature | Cryptographic signature of the request, using the account password.                                                                                                     |

## Response (JSON)

```json theme={null}
{
}
```

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
